iscsi_iface_transport_name_get(3)

NAME
iscsi_iface_transport_name_get - Retrieve transport name of specified iSCSI interface

SYNOPSIS
const char * iscsi_iface_transport_name_get (struct iscsi_iface *iface);

ARGUMENTS

iface
    Pointer of 'struct iscsi_iface'. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION

Retrieve the transport name of specified iSCSI interface.

EXAMPLES

* "tcp" (Software iSCSI over TCP/IP) * "iser" (Software iSCSI over infinniband * "qla4xxx" (Qlogic QLA4XXX HBAs) * "bnx2i" (Broadcom bnx iSCSI HBAs); * "cxgb3i" (Chelsio cxgb S3 iSCSI HBAs);

RETURN
const char *. No need to free this memory, the resources will get freed by iscsi_session_free or iscsi_sessions_free.